\documentclass[conference]{IEEEtran}
\IEEEoverridecommandlockouts
% The preceding line is only needed to identify funding in the first footnote. If that is unneeded, please comment it out.
\usepackage{cite}
\usepackage{amsmath,amssymb,amsfonts}
\usepackage{algorithmic}
\usepackage{graphicx}
\usepackage{textcomp}
\usepackage{xcolor}
\def\BibTeX{{\rm B\kern-.05em{\sc i\kern-.025em b}\kern-.08em
    T\kern-.1667em\lower.7ex\hbox{E}\kern-.125emX}}
\begin{document}

\title{Remodeling the development of free and open source software\\
{\footnotesize A reflection on the cathedral and bazaar models}
\thanks{Identify applicable funding agency here. If none, delete this.}
}

%\author{\IEEEauthorblockN{1\textsuperscript{st} Melissa Wen}
%\IEEEauthorblockA{\textit{dept. name of organization (of Aff.)} \\
%\textit{name of organization (of Aff.)}\\
%City, Country \\
%email address}
%\and
%\IEEEauthorblockN{2\textsuperscript{nd} Given Name Surname}
%\IEEEauthorblockA{\textit{dept. name of organization (of Aff.)} \\
%\textit{name of organization (of Aff.)}\\
%City, Country \\
%email address}
%\and
%\IEEEauthorblockN{3\textsuperscript{rd} Given Name Surname}
%\IEEEauthorblockA{\textit{dept. name of organization (of Aff.)} \\
%\textit{name of organization (of Aff.)}\\
%City, Country \\
%email address}
%\and
%\IEEEauthorblockN{4\textsuperscript{th} Given Name Surname}
%\IEEEauthorblockA{\textit{dept. name of organization (of Aff.)} \\
%\textit{name of organization (of Aff.)}\\
%City, Country \\
%email address}
%\and
%\IEEEauthorblockN{5\textsuperscript{th} Given Name Surname}
%\IEEEauthorblockA{\textit{dept. name of organization (of Aff.)} \\
%\textit{name of organization (of Aff.)}\\
%City, Country \\
%email address}
%\and
%\IEEEauthorblockN{6\textsuperscript{th} Given Name Surname}
%\IEEEauthorblockA{\textit{dept. name of organization (of Aff.)} \\
%\textit{name of organization (of Aff.)}\\
%City, Country \\
%email address}
%}

\maketitle

\begin{abstract}
This document is a model and instructions for \LaTeX.
This and the IEEEtran.cls file define the components of your paper [title, text, heads, etc.]. *CRITICAL: Do Not Use Symbols, Special Characters, Footnotes, 
or Math in Paper Title or Abstract.
\end{abstract}

\begin{IEEEkeywords}
component, formatting, style, styling, insert
\end{IEEEkeywords}

\section{Introduction}
Almost 20 years ago, Eric Raymond has published a set of reflections and lessons learned with the development of free software, The Cathedral and The Bazaar essay.
In this essay, Raymond uses his observations on the Linux kernel development to differentiate free software projects between two models called Cathedral and Bazaar. The projects classified as cathedrals would be those that follow a hierarchical model of development, with long periods of version releases and little participation of the users in the software construction process. The bazaar, similar to the Linux model, is open to receive any kind of contribution from any user, with short time between version releases and, in that way, assumes the risk of failures and bugs even with these would sacrify the whole project.

This essay has become a mark in the universe of free and open source software. The set of characteristics of Linux development, described as a great bazaar, boosted the development of free and open source software and influenced several developing projects to adapt to this model, in order to use the benefits and virtues pointed out by Raymond. The premisses "Release early and often; Delegate everything you can; Be open to the point of promiscuity" won the sympathy not only of the developers and users of the FLOSS projects, but also of the IT companies that could see advantages in innovation and improvement of their products with the opening of the code for contributions. As a result, FLOSS projects, their communities and their users have grown in quantity, robustness and diversity, resulting in the popularization of the term free and open source software among consumers, developers and researchers of information technologies.

However, after 20 years, the cathedral and bazaar development models are still able to cover the variety of free software projects? Does the bazaar model persist among existing projects? Would you follow Linux as a good example of bazaar model? Or, furthermore, was the Linux development model really a big bazaar? Our intuition is that the development models defined by Raymond are no longer sufficient to characterize the existing FLOSS projects. Considering this, in our work, we propose the extension of development models beyond the established cathedral and bazaar. To this end, we envisage analyzing the development of notorious free software projects, their community, their workflow and contribution in order to find congruences or distortions with the cathedral and bazaar models.

As a preliminary step, we will investigate in the trenches of the Linux community its alignment with the bazaar model as defined by Raymond. Initially, we will follow the experiment and collect impressions from the contribution flow to a Linux kernel module performed by developers with different levels of free software experience. At the same time, we will analyze data from commits and revisions of the investigated module. Subsequently, we will raise questions directed at groups of Linux distribution developers about their experiences in patch submissions and bug investigation into the kernel. With this data set, we intend to characterize the Linux kernel development model in the light of the bazaar model. 

\section{The Cathedral, the Bazaar and their incongruities with the present}

\subsection{The Eric Raymond Models}

Falar sobre as características de cada modelo a partir da visão de Raymond

\subsection{Incongruities with current FLOSS projects}

Percepções sobre o que pode não está sendo coberto pelo modelo tanto na comunidade do kernel do Linux quanto fora dela

\section{Discussion}

Temas a serem discutidos:
\begin{itemize}
\item Modelo de desenvolvimento com caráter social? Como definir esse padrão que relaciona a comunidade a arquitetura do software? Quais seriam as metáforas possíveis para um desenvolvimento em comunidade?
\item O impacto do não realismo/romantismo do ensaio sobre a separação dos projetos livres e os projetos de código aberto e os caminhos guiados por eles a partir de então?
\item Falar sobre a vitória do código aberto? Se sim, como falar sobre isso?
\end{itemize}

\section{Opportunities}

Benefícios para a engenharia de software, a gestão de projetos e o universo do software livre com definições mais realistas de modelos de desenvolvimento de software livre?

\section*{References}

Please number citations consecutively within brackets \cite{b1}. The 
sentence punctuation follows the bracket \cite{b2}. Refer simply to the reference 
number, as in \cite{b3}---do not use ``Ref. \cite{b3}'' or ``reference \cite{b3}'' except at 
the beginning of a sentence: ``Reference \cite{b3} was the first $\ldots$''

Number footnotes separately in superscripts. Place the actual footnote at 
the bottom of the column in which it was cited. Do not put footnotes in the 
abstract or reference list. Use letters for table footnotes.

Unless there are six authors or more give all authors' names; do not use 
``et al.''. Papers that have not been published, even if they have been 
submitted for publication, should be cited as ``unpublished'' \cite{b4}. Papers 
that have been accepted for publication should be cited as ``in press'' \cite{b5}. 
Capitalize only the first word in a paper title, except for proper nouns and 
element symbols.

For papers published in translation journals, please give the English 
citation first, followed by the original foreign-language citation \cite{b6}.

\begin{thebibliography}{00}
\bibitem{b1} G. Eason, B. Noble, and I. N. Sneddon, ``On certain integrals of Lipschitz-Hankel type involving products of Bessel functions,'' Phil. Trans. Roy. Soc. London, vol. A247, pp. 529--551, April 1955.
\bibitem{b2} J. Clerk Maxwell, A Treatise on Electricity and Magnetism, 3rd ed., vol. 2. Oxford: Clarendon, 1892, pp.68--73.
\bibitem{b3} I. S. Jacobs and C. P. Bean, ``Fine particles, thin films and exchange anisotropy,'' in Magnetism, vol. III, G. T. Rado and H. Suhl, Eds. New York: Academic, 1963, pp. 271--350.
\bibitem{b4} K. Elissa, ``Title of paper if known,'' unpublished.
\bibitem{b5} R. Nicole, ``Title of paper with only first word capitalized,'' J. Name Stand. Abbrev., in press.
\bibitem{b6} Y. Yorozu, M. Hirano, K. Oka, and Y. Tagawa, ``Electron spectroscopy studies on magneto-optical media and plastic substrate interface,'' IEEE Transl. J. Magn. Japan, vol. 2, pp. 740--741, August 1987 [Digests 9th Annual Conf. Magnetics Japan, p. 301, 1982].
\bibitem{b7} M. Young, The Technical Writer's Handbook. Mill Valley, CA: University Science, 1989.
\end{thebibliography}
\vspace{12pt}
\color{red}
IEEE conference templates contain guidance text for composing and formatting conference papers. Please ensure that all template text is removed from your conference paper prior to submission to the conference. Failure to remove the template text from your paper may result in your paper not being published.

\end{document}
